#include <stdio.h>
#include <stdlib.h>

#include "common/common.h"
#include "logfile/logfile.h"

#include "gs_token.h"
#include "gs_list.h"
#include "gs_translate.h"
#include "gs_parser.h"


#define DICT_LOAD "myfile.load"
#define DICT_SAVE "myfile.save"

/* -------------------------------------------------------------------- */
/* -------------------------------------------------------------------- */
int main(int argc, char **argv)
{
	TOKEN *item;


	set_logfile(LOGFILE);
	set_loglevel(LOGLEVEL);
	set_consolelog(TRUE);


	/* ---------------------------------------- */

	item = create_dictionary("dictionary");

	if (gs_isdictionary(item))
	{	lprintf(LOG_STANDARD, "Item is Dictionary\n");
	}
	else
	{	lprintf(LOG_STANDARD, "Item is NOT Dictionary\n");
		exit(1);
	}


	/* ---------------------------------------- */

	if (gs_loaddictionaryfromfile(DICT_LOAD, item) == -1)
	{	lprintf(LOG_ERROR, "Failed to load Dictionary '%s'\n", DICT_LOAD);
		exit(1);
	}
	else
	{	lprintf(LOG_STANDARD, "Loaded Dictionary '%s'\n", DICT_LOAD);
	}


	/* ---------------------------------------- */

	if (gs_savedictionarytofile(DICT_SAVE, item) == -1)
	{	lprintf(LOG_ERROR, "Failed to Save Dictionary '%s'\n", DICT_SAVE);
		exit(1);
	}
	else
	{	lprintf(LOG_STANDARD, "Saved Dictionary '%s'\n", DICT_SAVE);
	}

	return 0;
}

